.footer {
    padding-top: rem(40);
    padding-bottom: rem(20);
    border-top: 1px solid #C4C4C4;
    color: $dark;
    background: $gray;
    font-size: rem(14);
    line-height: rem(20);

    &__payment {
        margin-bottom: rem(30);

        &__title {
            font-weight: 700;
            font-size: rem(12);
            line-height: rem(12);
            margin-bottom: rem(11);
        }

        &__media {
            max-width: rem(360);
        }
    }

    &__address {
        display: none;
        text-align: center;
        font-size: rem(12);
        line-height: rem(14);
    }

    &__buttons {

        &__item {

            &:not(:last-child) {
                margin-bottom: rem(20);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__payment {
            text-align: center;

            &__media {
                width: rem(360);
                margin: 0 auto;
            }
        }

        &__buttons {
            margin-bottom: rem(20);
            display: flex;
            align-items: center;
            justify-content: center;

            &__item {

                &:not(:last-child) {
                    margin: 0 rem(16) 0 0;
                }
            }

            .btn {
                min-width: rem(200);
            }
        }

        &__address {
            display: block;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        padding-top: rem(20);
        padding-bottom: rem(30);

        &__wrap {
            display: flex;
            align-items: flex-end;
            justify-content: space-between;
        }

        &__payment {
            margin: 0;
            text-align: left;

            &__label {
                margin-bottom: rem(20);
            }

            &__media {
                margin: 0;
            }
        }

        &__buttons {
            margin: 0;
        }

        &__contact {
            text-align: right;
        }

        &__address {
            text-align: right;
        }
    }
}

.footer-social {
    position: relative;
    margin-bottom: rem(20);
    padding: rem(20) 0;
    display: flex;
    align-items: center;
    justify-content: center;

    &__button {
        margin: 0 rem(10);
        display: block;
        width: rem(40);
        height: rem(40);
    }

    &:before {
        z-index: 1;
        content: '';
        bottom: 0;
        left: rem(-20);
        right: rem(-20);
        height: 1px;
        position: absolute;
        background: #C4C4C4;
    }

    @include media-breakpoint-up(md) {
        padding: 0;
        margin-bottom: rem(10);

        &:before {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(4);
        justify-content: flex-end;

        &__button {
            width: rem(30);
            height: rem(30);
            margin: 0 0 0 rem(20);
        }
    }
}

.footer-phone {
    fill: $white;
    color: $white;
    height: rem(66);
    line-height: 1;
    font-weight: 700;
    text-align: center;
    background: $green;
    border-radius: 15px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover {
        fill: $white;
        color: $white;
        text-decoration: none;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(38);
        display: inline-block;
        margin-right: rem(10);

        animation: 1200ms ease 0s normal none 1 running shake;
        animation-iteration-count: infinite;
    }

    &__label {
        display: block;
        font-size: rem(16);
        line-height: rem(18);
    }

    &__value {
        display: block;
        font-size: rem(24);
        line-height: rem(24);
    }

    @include media-breakpoint-up(md) {
        color: $dark;
        height: auto;
        padding: 0;
        display: inline-block;
        background: transparent;
        margin-bottom: rem(6);

        &:hover {
            color: $dark;
        }

        &__icon {
            display: none;
        }

        &__label {
            display: none;
        }

        &__value {
            font-size: rem(24);
            line-height: rem(34);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(2);
    }
}

.footer-nav {
    color: $dark;
    display: none;
    background: $gray;
    font-size: rem(12);
    line-height: rem(12);
    padding-top: rem(26);
    padding-bottom: rem(24);
    border-top: 1px solid #C4C4C4;

    &__title {
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(12);
        margin-bottom: rem(14);

        &:not(:first-child) {
            margin-top: rem(30);
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        font-weight: 500;
        list-style: none;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(10);
        }
    }

    &__link {
        color: $dark;
        text-decoration: none;
        transition: .3s;

        &:hover {
            color: $green;
            text-decoration: none;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.footer-menu {
    display: none;
    background: $white;
    border-top: 1px solid #C4C4C4;

    &__content {
        margin: 0;
        padding: 0;
        height: rem(70);
        list-style: none;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(12);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__link {
        color: $dark;
        padding: rem(6) 0;
        text-decoration: none;
        display: inline-block;
        border-bottom: 1px solid transparent;
        transition: .3s;

        &.active,
        &:hover {
            color: $dark;
            text-decoration: none;
            border-bottom-color: $dark;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}
